# MatConvert

Converts a matrix to another matrix, either of the same or different type.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatConvert(Mat mat,const MatType newtype,Mat *M)

Collective on Mat

### Input Parameters

| mat | - the matrix
| newtype | - new matrix type. Use MATSAME to create a new matrix of the same type as the original matrix.

### Output Parameter

M -pointer to place new matrix

### Notes

MatConvert() first creates a new matrix and then copies the data from the first matrix. A related routine is MatCopy(), which copies the matrix entries of one matrix to another already existing matrix context.

### See Also

MatCopy(), MatDuplicate()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/examples/tutorials/ex6f.F.html